summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-06-03 20:06:02 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-06-03 20:06:02 +0300
commit0db636888f18fa9a5c5e68bb03a736330d2d58d2 (patch)
tree4c697358bae1afd195cdd9ac1b0eb4656a079e68 /app-text/jadetex
parentdev-tex/xmltex: add tl2019 support (diff)
downloadgentoo-0db636888f18fa9a5c5e68bb03a736330d2d58d2.tar.gz
gentoo-0db636888f18fa9a5c5e68bb03a736330d2d58d2.tar.bz2
gentoo-0db636888f18fa9a5c5e68bb03a736330d2d58d2.zip
app-text/jadetex: Add tl2019 support
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
Diffstat (limited to 'app-text/jadetex')
-rw-r--r--app-text/jadetex/jadetex-3.13-r7.ebuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/app-text/jadetex/jadetex-3.13-r7.ebuild b/app-text/jadetex/jadetex-3.13-r7.ebuild
index 3a80cfceed7..14d37d8b41f 100644
--- a/app-text/jadetex/jadetex-3.13-r7.ebuild
+++ b/app-text/jadetex/jadetex-3.13-r7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -20,9 +20,11 @@ DEPEND=">=app-text/openjade-1.3.1
dev-texlive/texlive-plaingeneric"
src_compile() {
+ fmt_call="$(has_version '>=app-text/texlive-core-2019' \
+ && echo "fmtutil-user" || echo "fmtutil")"
VARTEXFONTS="${T}/fonts" emake
VARTEXFONTS="${T}/fonts" TEXMFHOME="${S}" env -u TEXINPUTS \
- fmtutil --cnffile "${FILESDIR}/format.jadetex.cnf" --fmtdir "${S}/texmf-var/web2c" --all\
+ $fmt_call --cnffile "${FILESDIR}/format.jadetex.cnf" --fmtdir "${S}/texmf-var/web2c" --all\
|| die "failed to build format"
}